function xgd_table = ex_xgd_ramp(mpc)
%EX_XGD_RAMP  Example xGenData table for multiperiod DC OPF with ramping.

%   MOST
%   Copyright (c) 2015-2016, Power Systems Engineering Research Center (PSERC)
%   by Ray Zimmerman, PSERC Cornell
%
%   This file is part of MOST.
%   Covered by the 3-clause BSD License (see LICENSE file for details).
%   See https://github.com/MATPOWER/most for more info.

%% initial xGenData
xgd_table.colnames = {
    'PositiveActiveReservePrice', ...
            'PositiveActiveReserveQuantity', ...
                    'NegativeActiveReservePrice', ...
                            'NegativeActiveReserveQuantity', ...
                                    'PositiveActiveDeltaPrice', ...
                                            'NegativeActiveDeltaPrice', ...
                                                    'PositiveLoadFollowReservePrice', ...
                                                            'PositiveLoadFollowReserveQuantity', ...
                                                                'NegativeLoadFollowReservePrice', ...
                                                                        'NegativeLoadFollowReserveQuantity', ...
};
xgd_table.data = [
    5       80     10      80     1e-9    1e-9    1e-6    80 1e-6    80;
    5       80     10      80     1e-9    1e-9    1e-6    80 1e-6    80;
    5       50     10      50     1e-9    1e-9    1e-6    50 1e-6    50;
    5       55     10      55     1e-9    1e-9    1e-6    55 1e-6    55;
    5       30     10      30     1e-9    1e-9    1e-6    30 1e-6    30;
    5       40     10      40     1e-9    1e-9    1e-6    40 1e-6    40;
];
